apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
metadata:
  name: mariadb

helmCharts:
  - name: mariadb
    includeCRDs: true
    releaseName: mariadb
    namespace: databases
    version: 16.5.0
    repo: https://charts.bitnami.com/bitnami
    valuesInline:
      auth:
        database: default
        username: default
        existingSecret: mariadb-secrets
      primary:
        persistence:
          size: 8Gi

resources:
  - mariadb-secrets.yaml
